phpMyAdmin 4.9.3 和 5.0.0 发布了。phpMyAdmin 是一个非常受欢迎的 web
MySQL
数据库管理工具。它能够创建和删除数据库,创建/删除/修改表格,删除/编辑/新增字段,执行
SQL 脚本等。

原标题:[图]phpMyAdmin 5.0.0正式发布:移除对5.5/5.6/7.0等旧版PHP支持
来源:cnBeta.COMphpMyAdmin
5.0.0版本于今天正式发布。该版本同4.9.3版本同时存在,不过官方推荐没有安装旧版PHP的用户尽量使用5.0.0版本。本次5.0版本更新中在涵盖了4.9分支的大量改进之外,还引入了诸多新功能。团队表示也希望为那些运行旧版PHP的用户尽量维护phpMyAdmin
4分支,有关受支持的版本和寿命终止日期的完整详细信息,请参阅
5.0.0版本移除了对旧版PHP版本(5.5、5.6、7.0和HHVM)的支持,这些旧版本已经不再得到PHP团队的支持。phpMyAdmin
5.0.0版本对用户界面进行了诸多现代化改进,在更加透明的同时让代码维护变得更加轻松。改进的部分功能包括:●
默认情况下启用CSV导出的列名称● 添加Metro主题●
创建自动递增列时自动添加索引● 改进了导出视图●
在没有WHERE子句的UPDATE查询之前,提示用户进行确认●
改进了向用户显示错误的方式(包括允许更轻松地将错误文本复制到剪贴板)●
添加了击键以清除行(ctrl + l)并清除整个控制台窗口(ctrl + u)●
导出格式为MS Excel时使用字符集“
Windows-1252”已知的问题由于MySQL对身份验证方法的更改,7.4之前的PHP版本无法向MySQL
8.0或更高版本的服务器进行身份验证(我们的测试表明,问题实际上始于MySQL
8.0.11)。这与PHP错误

phpMyAdmin 4.9.3

这是 phpMyAdmin 版本 4 的最终 bug 修复版本。版本 4 适用于 PHP 5.5 至 7.4
和 MySQL 5.5 及更高版本(以及相应的 MariaDB 版本)。

此版本包含许多错误修复程序,包括:

  • 澳门新葡亰,一些 PHP 通知和警告,包括“未定义索引
    table_create_time”,有关出于安全原因而禁用 error_reporting()
    的通知以及一些未定义索引错误。
  • 支持 Amazon CloudFront 代理的 CloudFront-Forwarded-Proto 标头
  • 与 PHP 8 开发版本的早期兼容性
  • 修复复制操作(启动,停止等)

更新说明:

网站地图xml地图